%define shortname camlimages

%def_without M24

%if_with M24
%define _release alt4.M24.1
%else
%define _release alt5
%endif

Name: lib%shortname
Version: 2.2.0
Release: %_release
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Objective Caml image processing library
License: LGPL
Group: System/Libraries
URL: http://pauillac.inria.fr/camlimages

Requires: ocaml = %{get_SVR ocaml}

Source: ftp://ftp.inria.fr/INRIA/Projects/cristal/caml-light/bazar-ocaml/%shortname-%version.tar.gz
Source1: camlimages-2.2-alt-meta

Patch0: camlimages-2.2-makefile-shared.patch
Patch1: camlimages-2.2-makefile.patch

BuildRequires(pre): ocaml
# Automatically added by buildreq on Sat Nov 05 2005
BuildRequires: freetype2-devel gdk-pixbuf-devel ghostscript-classic lablgtk2 libjpeg-devel libpng-devel libungif-devel ocaml-graphics ocaml-runtime xpm-devel zlib-devel
%if_with M24
BuildRequires: XFree86-devel
%else
BuildRequires: xorg-x11-devel
%endif

%description
The goal of OCamlSDL is to provide access the multimedia hardware
in the ML programming language with the help of the SDL library.
The Simple DirectMedia Layer is a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

%prep
%setup -q -n %shortname-2.2

%patch0 -p1 
%patch1 -p1

%build
%configure \
	--with-camldir=%_libdir/ocaml/site-lib \
	--with-lablgl=%_libdir/ocaml/site-lib/lablGL \
	--with-lablgtk2=%_libdir/ocaml/site-lib/lablgtk2

%make_build all opt

%install
%makeinstall DESTDIR=%buildroot
install -m644 %SOURCE1 %buildroot%_libdir/ocaml/site-lib/camlimages/META
mkdir -p %buildroot%_libdir/ocaml/stublibs
mv %buildroot%_libdir/ocaml/site-lib/camlimages/*.so %buildroot%_libdir/ocaml/stublibs/

%files
%doc Announce-2.2 README LICENSE doc/*.jpg doc/*.htm
%dir %_libdir/ocaml/site-lib/camlimages
%_libdir/ocaml/site-lib/camlimages/META
%_libdir/ocaml/site-lib/camlimages/*.ml*
%_libdir/ocaml/site-lib/camlimages/*.cm?*
%_libdir/ocaml/site-lib/camlimages/*.h
%_libdir/ocaml/site-lib/camlimages/*.o
%_libdir/ocaml/site-lib/camlimages/*.a
%_libdir/ocaml/stublibs/*.so

%changelog
* Wed Dec 20 2006 Grigory Batalov <bga@altlinux.ru> 2.2.0-alt5
- META description file.
- Shared libraries were moved into stublibs.
- Strict packaging.
- Moved to site-lib folder.
- New packager.

* Tue Mar 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.2.0-alt4
- Moved on to get_dep macro.

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.2.0-alt3
- Rebuilt with new ocaml & friends.

* Tue Nov 15 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.2.0-alt2
- Fixed summary.

* Sat Nov 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.2.0-alt1
- Initial build for ALT Linux.


